Plack::Handler::HTTP::Server::PSGI(3pm)

NAME
Plack::Handler::HTTP::Server::PSGI - adapter for HTTP::Server::PSGI

SYNOPSIS
  % plackup -s HTTP::Server::PSGI \
      --host 127.0.0.1 --port 9091 --timeout 120

BACKWARD COMPATIBLITY
Since Plack 0.99_22 this handler doesn't support preforking configuration i.e. "--max-workers". Use Starman or Starlet if you need preforking PSGI web server.

CONFIGURATIONS

host
    Host the server binds to. Defaults to all interfaces.

port
    Port number the server listens on. Defaults to 8080.

timeout
    Number of seconds a request times out. Defaults to 300.

max-reqs-per-child
    Number of requests per worker to process. Defaults to 100.

AUTHOR
Kazuho Oku

Tatsuhiko Miyagawa

SEE ALSO
Plack HTTP::Server::PSGI